# Uses of Interface
org.opensaml.saml.saml2.metadata.NameIDFormat

Packages that use NameIDFormat
Package
Description
org.opensaml.saml.ext.saml2mdquery
Interfaces for SAML 2 Metadata Profile for Standalone Query Requesters.
org.opensaml.saml.ext.saml2mdquery.impl
Implementation for SAML v2.0 Metadata Extension for Stand-Alone Query Requesters.
org.opensaml.saml.metadata.resolver.filter.impl
Implementation of Metadata Filters.
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of NameIDFormat in org.opensaml.saml.ext.saml2mdquery

Methods in org.opensaml.saml.ext.saml2mdquery that return types with arguments of type NameIDFormat
Modifier and Type
Method
Description
`List<NameIDFormat>`
QueryDescriptorType.`getNameIDFormat()`
Gets the list of name ID formats supported by this query service.

## Uses of NameIDFormat in org.opensaml.saml.ext.saml2mdquery.impl

Fields in org.opensaml.saml.ext.saml2mdquery.impl with type parameters of type NameIDFormat
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<NameIDFormat>`
QueryDescriptorTypeImpl.`nameIDFormats`
Supported NameID formats.
Methods in org.opensaml.saml.ext.saml2mdquery.impl that return types with arguments of type NameIDFormat
Modifier and Type
Method
Description
`List<NameIDFormat>`
QueryDescriptorTypeImpl.`getNameIDFormat()`
Gets the list of name ID formats supported by this query service.

## Uses of NameIDFormat in org.opensaml.saml.metadata.resolver.filter.impl

Fields in org.opensaml.saml.metadata.resolver.filter.impl with type parameters of type NameIDFormat
Modifier and Type
Field
Description
`private final SAMLObjectBuilder<NameIDFormat>`
NameIDFormatFilter.`formatBuilder`
Builder for `NameIDFormat`.

## Uses of NameIDFormat in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type NameIDFormat
Modifier and Type
Method
Description
`List<NameIDFormat>`
AttributeAuthorityDescriptor.`getNameIDFormats()`
Gets a list of NameID formats supported by this authority.
`List<NameIDFormat>`
AuthnAuthorityDescriptor.`getNameIDFormats()`
Gets the list of supported name ID formats for this authority.
`List<NameIDFormat>`
PDPDescriptor.`getNameIDFormats()`
Gets the list of NameID formats this service supports.
`List<NameIDFormat>`
SSODescriptor.`getNameIDFormats()`
Gets the list of NameID formats this service supports.

## Uses of NameIDFormat in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement NameIDFormat
Modifier and Type
Class
Description
`class`
`NameIDFormatImpl`
Concrete implementation of `NameIDFormat`.
Fields in org.opensaml.saml.saml2.metadata.impl with type parameters of type NameIDFormat
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<NameIDFormat>`
AttributeAuthorityDescriptorImpl.`nameFormats`
Supported NameID formats.
`private final XMLObjectChildrenList<NameIDFormat>`
AuthnAuthorityDescriptorImpl.`nameIDFormats`
NameID formats supported by this descriptor.
`private final XMLObjectChildrenList<NameIDFormat>`
PDPDescriptorImpl.`nameIDFormats`
NameIDFormat children.
`private final XMLObjectChildrenList<NameIDFormat>`
SSODescriptorImpl.`nameIDFormats`
NameID formats supported by this entity.
Methods in org.opensaml.saml.saml2.metadata.impl that return NameIDFormat
Modifier and Type
Method
Description
`NameIDFormat`
NameIDFormatBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`NameIDFormat`
NameIDFormatBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type NameIDFormat
Modifier and Type
Method
Description
`List<NameIDFormat>`
AttributeAuthorityDescriptorImpl.`getNameIDFormats()`
Gets a list of NameID formats supported by this authority.
`List<NameIDFormat>`
AuthnAuthorityDescriptorImpl.`getNameIDFormats()`
Gets the list of supported name ID formats for this authority.
`List<NameIDFormat>`
PDPDescriptorImpl.`getNameIDFormats()`
Gets the list of NameID formats this service supports.
`List<NameIDFormat>`
SSODescriptorImpl.`getNameIDFormats()`
Gets the list of NameID formats this service supports.